interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63.json
  response:
    body:
      string: !!binary |
[encoded data, 11390 characters]
        L93PqjKWz2lJGesPhk6/fXgYdn/Q6wxNubpk7HZ9+/v/AwYfo9oW1QAA
    headers:
      CF-RAY: [2d097e6a4a1851a0-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['7680']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:05:05 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d0403daec50f6e6cb0617c3bd57b1dac21470895505; expires=Fri,
          11-Aug-17 06:05:05 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=5aAq0b1xSU9C2yUrAv;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:05:05
          GMT; secure', 'loidcreated=2016-08-11T06%3A05%3A05.260Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:05:05 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['__cfduid=d0403daec50f6e6cb0617c3bd57b1dac21470895505; expires=Fri,
          11-Aug-17 06:05:05 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=5aAq0b1xSU9C2yUrAv;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:05:05
          GMT; secure', 'loidcreated=2016-08-11T06%3A05%3A05.260Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:05:05 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=q052CGERgPBFKFzyF0NcJ1s6NMNp1hrIsqhmOe1t2NtQZGbslMjALG6MP2amoHfML56zxg%2Fm%2F0c%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F&refresh_token=**********&grant_type=refresh_token
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [__cfduid=d0403daec50f6e6cb0617c3bd57b1dac21470895505; loidcreated=2016-08-11T06%3A05%3A05.260Z;
          loid=5aAq0b1xSU9C2yUrAv]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMy4oCMRBFf6XI2oUgOuDO10oYGAYcXYV0ctFCuhOqykw34r8PGVcXDufcpwsx
        QtVbvmNwa3LlZ/Hhvy7javu9x3FTz7+jLfP2tDts3Izcv+dtKmhyhyCQxhMqR3hODX/mAQ1iLCxQ
        z+15sZrPZ+Q05neLxEY3VssyEScMxjZRP+mjE6TEplSEazD0UA1XKAlCIkHJYqShgvTR9WxtNAp3
        oJoN7vUH+W6jpNYAAAA=
    headers:
      CF-RAY: [2d097e770bb151a0-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:05:07 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAJUVrFcC/31V23LbQAj9lY6fO53EcZukP8OgFZIZrXbVvdhxMvn3wlqKVnXSNxtYOBwO6G3H
        EWicrL8Q7X5/69BG+v5td8QII7KtTA5HjdgZPrHlV0zsHUxHfCV42InfBMJErYTcH/Y/9w/3vw53
        P+40F7cEXfAjBN/4FKucUjzmOJFry8PFPKeCnMyS7m7/tKRTaL79F55lN8CAYUQx7vfPmt1BQ0n/
        fyT240gufcQ9HsTYSbEcSHG9yRtJRMAj9gRToBPTOYL1fS94fE4SlELWXIF6jomC0CdIoLP+DImi
        RrztThgYnf6Wmi4Fb2GvJNHLRIELBtaO9w/vBfuJ4IiTEMGuB+fPaxlsI4WTlAk0+ZDEv/r+C5bd
        GkhjQ629gMHQLoFf4bz/DOfhueCkHs0FImEwR83TrSVG37AlOFMDCUNPW6TSBWA2qpna+EphgNZL
        xwlSQDOszpjYDIL4OjEdzuzIUx9QFGW8H7hMbVMjeWGqy05Rzw4f0PUUSP2qdhlX9YzHPgfouZOM
        ToiOG4xCBDpBSKctCsozAJi8ZXNZPZ0PRqaZ0lSFz+w42RoZdYPOUVi9kx9o9K73CiFRmcdmNjE3
        Ar/l9OlsHnU2n7Moim28kAFGQA7FuVVQkU6W/Rf2VrOj8ywj2SGD5njbZjQiFnvDS+lbJtByIFNt
        i4QTOdXdzZMJcyTY1O/LQsQUQWa9CVZk102AllEw1hzj3P+mxQ/uIGRb6yUJh8LP7ZQiJVVv5bhI
        XG7EYwJO9eRQJH3ipDsRTixzPwdOeiYX/6JJepG5VpqcfExQ1rIKlsCr3mAUAhFW6DOkOnFjvRmW
        i/MVHDmkSwEViddDcv+0PpAD3Htb314u17U26J+d/ePQq/o0XLqZOJQvgPhctlbjXONfRMC5SHa5
        1FKQO5ZzVNauSlvymGt7yrQ+uH4LdAGrCvNXQKu8/wUqtT8UrwYAAA==
    headers:
      CF-RAY: [2d097e833e360da3-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['724']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:05:09 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=dbe7be32d44b81fa8a47ec8191604ac6d1470895509; expires=Fri,
          11-Aug-17 06:05:09 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=Z6BOAcC0MkmmD62QC6;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:05:09
          GMT; secure', 'loidcreated=2016-08-11T06%3A05%3A09.039Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:05:09 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['__cfduid=dbe7be32d44b81fa8a47ec8191604ac6d1470895509; expires=Fri,
          11-Aug-17 06:05:09 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=Z6BOAcC0MkmmD62QC6;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:05:09
          GMT; secure', 'loidcreated=2016-08-11T06%3A05%3A09.039Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Sat, 11-Aug-2018 06:05:09 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['596.0']
      x-ratelimit-reset: ['291']
      x-ratelimit-used: ['4']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [__cfduid=dbe7be32d44b81fa8a47ec8191604ac6d1470895509; loidcreated=2016-08-11T06%3A05%3A09.039Z;
          loid=Z6BOAcC0MkmmD62QC6]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/r/Python/comments/2xmo63/a_python_terminal_viewer_for_browsing_reddit/.json
  response:
    body:
      string: !!binary |
[encoded data, 11475 characters]
        4PRah6dj9/rd9sC0q0vGbte3v/8fUvHQo0jVAAA=
    headers:
      CF-RAY: [2d097e8ddf4a0da3-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['7724']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 11 Aug 2016 06:05:11 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['595.0']
      x-ratelimit-reset: ['290']
      x-ratelimit-used: ['5']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=7Ys5%2FsZWFvxg3nAqFtIoYTfmr2JKA9UpO7fFB3eHzBDH5ZsVvpiBjtAnHw2ZHipLqkn%2FxutVF4cn6i4Xm9IYVBdDVvBfF6Yj']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
